Bug 13955 - поддержка xrandr 1.2
: поддержка xrandr 1.2
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/xinitrc)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-01-09 21:05 by
Modified: 2008-06-13 12:16 (History)


Attachments
xinitrc-2.4.27-xrandr.patch (782 bytes, patch)
2008-01-09 21:08, Valery Inozemtsev
no flags Details | Diff
xinitrc-2.4.27-xrandr.patch (795 bytes, patch)
2008-01-09 21:25, Valery Inozemtsev
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-01-09 21:05:49
назрел вопрос о поддержке xrandr 1.2 в xinitrc. пока что xrandr 1.2 в сизифе 
поддерживает только драйвер intel (nouveau не в счет, т.к. от него нет ядерной 
части), но на подходе драйвер ati и mga
------- Comment #1 From 2008-01-09 21:08:06 -------
Created an attachment (id=2363) [details]
xinitrc-2.4.27-xrandr.patch

синтаксис /etc/X11/xinit/Xrandr и $HOME/.Xrandr соответствует xrandr(1)
------- Comment #2 From 2008-01-09 21:17:59 -------
А можно этот файл построчно обрабатывать?  Боюсь, не получится так запустить
xrandr для нескольких $DISPLAY (например в случае DualHead)...
------- Comment #3 From 2008-01-09 21:20:42 -------
reassign
------- Comment #4 From 2008-01-09 21:23:12 -------
(In reply to comment #1)
> Created an attachment (id=2363) [edit] [details]
> xinitrc-2.4.27-xrandr.patch
> 
> синтаксис /etc/X11/xinit/Xrandr и $HOME/.Xrandr соответствует xrandr(1)

Валера, свежий xinitrc живёт в git.altlinux.org/people/legion/packages/xinitrc.git
ты можешь сам сделать всё необходимое.
------- Comment #5 From 2008-01-09 21:25:25 -------
Created an attachment (id=2364) [details]
xinitrc-2.4.27-xrandr.patch

поправка. патчь с проверкой "а поддерживает ли драйвер xrandr 1.2?"
------- Comment #6 From 2008-01-09 21:27:07 -------
> Валера, свежий xinitrc живёт в 
git.altlinux.org/people/legion/packages/xinitrc.git
> ты можешь сам сделать всё необходимое.

это все хорошо, а есть туториал как это сделать?
------- Comment #7 From 2008-01-09 21:31:40 -------
(In reply to comment #2)
> А можно этот файл построчно обрабатывать?  Боюсь, не получится так запустить
> xrandr для нескольких $DISPLAY (например в случае DualHead)...

да тут получается не "можно" а "нужно"
------- Comment #8 From 2008-01-09 21:38:05 -------
Сейчас попробую сам сделать.  Quick-and-dirty туториал такой:

$ ssh -n git.alt git-clone /people/legion/packages/xinitrc.git
$ git clone git.alt:packages/xinitrc.git
$ cd xinitrc
$ git remote add legion git.alt:/people/legion/packages/xinitrc.git
$ git fetch legion
/ edit edit edit /
$ git commit
$ git push
------- Comment #9 From 2008-01-09 22:00:53 -------
Примерно так:
http://git.altlinux.org/people/raorn/packages/?p=xinitrc.git;a=commitdiff;h=2.4.27-alt1-1-g75266e0
------- Comment #10 From 2008-01-10 01:04:55 -------
А что будет в /etc/X11/xinit/Xrandr ?
------- Comment #11 From 2008-01-10 01:32:51 -------
Ну там в коммите есть пример (кривенький).  Опции для xrandr(1), одна строка,
один запуск xrandr'а.
------- Comment #12 From 2008-01-10 01:58:58 -------
Вообще, хотелось бы чтобы иксы сами звали какой-ньдь helper по событию.  Типа,
воткнул я тель-а-визор в ноут, а оно раз - из запустило само xrandr --output
VGA
--mode 1280x768 --auto.  Но это наверно уже из области научной фантастики...
------- Comment #13 From 2008-01-10 02:16:10 -------
Что-то не нравится мне этот `cat ...`.
Может лучше сделать как с /etc/sysconfig/xserver ?
------- Comment #14 From 2008-01-10 03:41:06 -------
Бессоница страшная вещь ... предлагаю свой вариант:

http://git.altlinux.org/people/legion/packages/xinitrc.git?p=xinitrc.git;a=commitdiff;h=9a1576d20121302216efe6b6a1b39d1c462fe26e

Валер, ты не против ?
------- Comment #15 From 2008-01-10 09:52:07 -------
маньяки... вы вообще когда нибудь спите?
1. "if ! xrandr -q | fgrep"...
2. display лучше сделать не обязательным параметром
в остальном, да, много лучше, хотя можно проще:
grep "^-" "$conf" | xargs --max-lines=1 xrandr
------- Comment #16 From 2008-01-10 10:19:44 -------
(In reply to comment #15)
> маньяки... вы вообще когда нибудь спите?
> 1. "if ! xrandr -q | fgrep"...

Принято.

> 2. display лучше сделать не обязательным параметром

Я сделал обязательным сознательно. Во-первых чтобы была аналогия с
X11/xdm/Xservers. Во-вторых если уж нужно вызывать xrandr для разных дисплеев,
то лучше чтобы это небыло чёрной магией и исходило из формата.

> в остальном, да, много лучше, хотя можно проще:
> grep "^-" "$conf" | xargs --max-lines=1 xrandr

Только в этом случае ты никогда не узнаешь на какой строчке xrandr у тебя упал.
Я думал об этом.
------- Comment #17 From 2008-01-10 10:50:57 -------
> > 2. display лучше сделать не обязательным параметром
> 
> Я сделал обязательным сознательно. Во-первых чтобы была аналогия с
> X11/xdm/Xservers. Во-вторых если уж нужно вызывать xrandr для разных 
дисплеев,
> то лучше чтобы это небыло чёрной магией и исходило из формата.

тогда нужно сделать проверку "а есть ли такой дисплей"
------- Comment #18 From 2008-01-10 12:59:12 -------
(In reply to comment #17)
> тогда нужно сделать проверку "а есть ли такой дисплей"

Мне стыдно, но я спрошу: а как это проверяется ? xdpyinfo ?
------- Comment #19 From 2008-01-10 13:29:12 -------
оставь как есть. это я с утра не проснулся
------- Comment #20 From 2008-01-18 02:10:32 -------
Fixed in 2.4.28-alt1.